Module jdk.httpserver
Package com.sun.net.httpserver

## Class Authenticator.Success

- java.lang.Object
- - com.sun.net.httpserver.Authenticator.Result
  - - com.sun.net.httpserver.Authenticator.Success

- Enclosing class:
    Authenticator

      public static class Authenticator.Success
      extends Authenticator.Result

  Indicates an authentication has succeeded and the authenticated user principal can be acquired by calling getPrincipal().

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Success​(HttpPrincipal p)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HttpPrincipal` | `getPrincipal​()` | returns the authenticated user Principal

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Success

          public Success​(HttpPrincipal p)

  - ### Method Detail

    - #### getPrincipal

          public HttpPrincipal getPrincipal​()

      returns the authenticated user Principal